## celtenc celtenc — Encodes audio in Celt format |

## Synopsis

    struct              GstCeltEnc;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstAudioEncoder
                         +----GstCeltEnc

## Implemented Interfaces

GstCeltEnc implements GstTagSetter and GstPreset.

## Properties

      "bitrate"                  gint                  : Read / Write
      "framesize"                gint                  : Read / Write
      "cbr"                      gboolean              : Read / Write
      "complexity"               gint                  : Read / Write
      "max-bitrate"              gint                  : Read / Write
      "prediction"               GstCeltEncPrediction  : Read / Write
      "start-band"               gint                  : Read / Write

## Description

## Synopsis

### Element Information

plugin | celt
author | Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Codec/Encoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw-int, rate=(int)[ 32000, 64000 ], channels=(int)[ 1, 2 ], endianness=(int)1234, signed=(boolean)true, width=(int)16, depth=(int)16

name | src
direction | source
presence | always
details | audio/x-celt, rate=(int)[ 32000, 64000 ], channels=(int)[ 1, 2 ], frame-size=(int)[ 64, 512 ]

## Details

### struct GstCeltEnc

    struct GstCeltEnc;

## Property Details

### The `"bitrate"` property

      "bitrate"                  gint                  : Read / Write

Specify an encoding bit-rate (in bps).

Allowed values: [10000,320000]

Default value: 64000

### The `"framesize"` property

      "framesize"                gint                  : Read / Write

The number of samples per frame.

Allowed values: [64,512]

Default value: 480

### The `"cbr"` property

      "cbr"                      gboolean              : Read / Write

Constant bit rate.

Default value: TRUE

### The `"complexity"` property

      "complexity"               gint                  : Read / Write

Complexity.

Allowed values: [0,10]

Default value: 9

### The `"max-bitrate"` property

      "max-bitrate"              gint                  : Read / Write

Specify a maximum encoding bit rate (in bps) for variable bit rate encoding.

Allowed values: [10000,320000]

Default value: 64000

### The `"prediction"` property

      "prediction"               GstCeltEncPrediction  : Read / Write

Controls the use of interframe prediction.

Default value: Independent frames

### The `"start-band"` property

      "start-band"               gint                  : Read / Write

Controls the start band that should be used.

Allowed values: >= 0

Default value: 0